<?php 



class DaoArquivos extends conexao {

public function Atualizar(arquivos $arquivos) {

try {

if ($arquivos->getArq_cd() != '') {

$sql = " UPDATE arquivos SET
arq_orcamento = ?,
arq_nome = ?
WHERE arq_cd = ? ";

$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $arquivos->getArq_orcamento());
$stmt->bindValue(2, $arquivos->getArq_nome());
$stmt->bindValue(3, $arquivos->getArq_cd());


} else {

$sql = " INSERT INTO arquivos (arq_orcamento,arq_nome)
VALUES (?,?)";


$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $arquivos->getArq_orcamento());
$stmt->bindValue(2, $arquivos->getArq_nome());


}
if ($stmt->execute()){
return true;
} else
return false;

} catch (Exception $e) {
print "Erro ao tentar atualizar: ".$e;
}

}

public function PesquisarArquivos($codigo){
$sql = " SELECT * FROM arquivos WHERE arq_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $codigo);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

public function ListarArquivos(){
$sql = " SELECT * FROM arquivos ORDER BY arq_cd ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}


public function ProximoId(){
$sql = " SELECT COALESCE(MAX(arq_cd), 0) + 1 AS PROXIMO_REGISTRO FROM arquivos ";
$stmt = self::conectar()->prepare($sql);
$stmt->execute();
$result = $stmt->fetchAll(PDO::FETCH_ASSOC);
return $result;
}

	
public function deletar($arq_cd){		
$sql = " DELETE FROM arquivos WHERE arq_cd = ? ";
$stmt = self::conectar()->prepare($sql);
$stmt->bindValue(1, $arq_cd); 
$stmt->execute();
}

 
}
